WPSPageSpanInternal::HeaderFooter Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WPSPageSpanInternal::HeaderFooter Class Reference

## Public Member Functions
| HeaderFooter (WPSPageSpan::HeaderFooterType const &headerFooterType, WPSPageSpan::HeaderFooterOccurrence const &occurrence, WPSSubDocumentPtr &subDoc)
| ~HeaderFooter ()
WPSPageSpan::HeaderFooterType | getType () const
WPSPageSpan::HeaderFooterOccurrence | getOccurrence () const
WPSSubDocumentPtr & | getSubDocument ()
bool | operator== (std::shared_ptr< HeaderFooter > const &headerFooter) const
bool | operator!= (std::shared_ptr< HeaderFooter > const &headerFooter) const

## Private Attributes
WPSPageSpan::HeaderFooterType | m_type
WPSPageSpan::HeaderFooterOccurrence | m_occurrence
WPSSubDocumentPtr | m_subDocument

## Constructor & Destructor Documentation

## ◆ HeaderFooter()

WPSPageSpanInternal::HeaderFooter::HeaderFooter | ( | WPSPageSpan::HeaderFooterType const & | headerFooterType,
|  | WPSPageSpan::HeaderFooterOccurrence const & | occurrence,
|  | WPSSubDocumentPtr & | subDoc
| ) |  |
| inline

## ◆ ~HeaderFooter()

WPSPageSpanInternal::HeaderFooter::~HeaderFooter | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getOccurrence()

WPSPageSpan::HeaderFooterOccurrence WPSPageSpanInternal::HeaderFooter::getOccurrence | ( |  | ) | const
| inline

## ◆ getSubDocument()

WPSSubDocumentPtr & WPSPageSpanInternal::HeaderFooter::getSubDocument | ( |  | ) |
| inline

## ◆ getType()

WPSPageSpan::HeaderFooterType WPSPageSpanInternal::HeaderFooter::getType | ( |  | ) | const
| inline

## ◆ operator!=()

bool WPSPageSpanInternal::HeaderFooter::operator!= | ( | std::shared_ptr< HeaderFooter > const & | headerFooter | ) | const
| inline

## ◆ operator==()

bool WPSPageSpanInternal::HeaderFooter::operator== | ( | std::shared_ptr< HeaderFooter > const & | headerFooter | ) | const

Referenced by operator!=().

## Member Data Documentation

## ◆ m_occurrence

WPSPageSpan::HeaderFooterOccurrence WPSPageSpanInternal::HeaderFooter::m_occurrence
| private

Referenced by getOccurrence(), and operator==().

## ◆ m_subDocument

WPSSubDocumentPtr WPSPageSpanInternal::HeaderFooter::m_subDocument
| private

Referenced by getSubDocument(), and operator==().

## ◆ m_type

WPSPageSpan::HeaderFooterType WPSPageSpanInternal::HeaderFooter::m_type
| private

Referenced by getType(), and operator==().

The documentation for this class was generated from the following file:

- WPSPageSpan.cpp